# Add association

Associate an existing `case`, `interaction`, `loan`, or `file` objects to the case.
This way you can create comprehensive view of the case.

Endpoint: POST /people/{personId}/cases/{caseId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `caseId` (string, required)
    The case object unique identifier.

## Request fields (application/json):

  - `objectId` (string)
    Peach unique identifier for the associated object.

  - `objectType` (string)
    Types of objects that can be associated with the case.
    Enum: "document", "interaction", "loan", "case", "transaction"

  - `relation` (string)
    This is only applicable to `objectType=case` associations.
The way to read the relation is: `caseId` `relation` `objectId`.
For example:
- There is an existing `caseId=111` `caseType=identityTheft`.
- There is an existing `caseId=222` `caseType=debtValidation`.
- The identity theft case is blocking verification of debt. To represent that relation:
- `caseId=111` in path parameter.
- `relation=blocks` in body.
- `objectId=222` in body.
    Enum: "related", "causes", "blocks", "duplicate"

